使用apt-get,apache2-mpm-prefork安装apache2?

Modified on: Wed, 12 Jun 2019 18:20:03 +0800

我有一个64位的debian 6。我想装灯。在某些网站上我发现:

apt-get install apache2

其他一些:

apt-get install apache-mpm-prefork

我应该选择哪一个?

由于

作者:dynamic

最佳答案

海报可能对以下原因感兴趣:

  • prefork:每个请求都有自己的(内存分隔的)进程
  • worker:多线程Apache使用线程而不是进程,通常比prefork更快,并且可能使用更少的内存。

由于PHP 是线程安全的,常见建议是使用“prefork”MPM安装Apache。 Apache MPM之间的差异:http://httpd.apache.org/docs/2.0 / EN / MOD /#芯

对您的问题的简短回答:如果您正在安装PHP,Debian将自动选择正确的Apache版本。

作者:weeheavy

相关问答

添加新评论